%define version 0.2
Name:				subterfugue
Summary:			A framework for observing and playing with the reality of software.
Version:			%{version}
Release:			0
Copyright:			GPL
Packager:			William Stearns <wstearns@pobox.com>
Group:				Utilities/System

Source:				http://prdownloads.sourceforge.net/subterfugue/subterfugue-%{version}.tgz
#Source1:			goober.init
#Patch0:				goober-2.1-make.patch
#Patch1:				goober-2.1-config.patch
Prereq:				python
Vendor:				Mike Coleman <mkc@users.sourceforge.net>
URL:				https://sourceforge.net/projects/subterfugue
BuildRoot:			/tmp/subterfugue-broot


%description
SUBTERFUGUE is a framework for observing and playing with the reality of
software; it's a foundation for building tools to do tracing, sandboxing, and
many other things.  You could think of it as "strace meets expect."


%changelog
* Wed Nov 14 2001 William Stearns <wstearns@pobox.com>
- First RPM with 0.2 sources


%prep
%setup
#%setup -n goober
#%setup -q -a 1
#%patch0 -p1 -b .make
#%patch1 -p1 -b .config


%build
make


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/subterfugue-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	make DESTDIR=$RPM_BUILD_ROOT install
	#We won't use the following patch the install; instead, we'll specify all doc files in %doc.
	#mv "$RPM_BUILD_ROOT/usr/share/doc/subterfugue" "$RPM_BUILD_ROOT/usr/share/doc/subterfugue-%{version}"

	#install -d $RPM_BUILD_ROOT/etc
	#install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
	#install -d $RPM_BUILD_ROOT/sbin
	#install -d $RPM_BUILD_ROOT/usr/man/man8
	#make BINDIR=$RPM_BUILD_ROOT/sbin CONFIG_FILE=$RPM_BUILD_ROOT/etc/goober.conf install
	#cp -p goober.8 $RPM_BUILD_ROOT/usr/man/man8
	#cp -p $RPM_SOURCE_DIR/goober.init $RPM_BUILD_ROOT/etc/rc.d/init.d/goober
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/subterfugue-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi


%files
%defattr(-,root,root)
				%doc README NEWS CREDITS INSTALL INTERNALS
%attr(755,root,root)		%dir	/usr/lib/subterfugue
%attr(755,root,root)		%dir	/usr/lib/subterfugue/tricks
%attr(755,root,root)			/usr/lib/subterfugue/tricks/ArgTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/BoxTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/CountTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/DelayTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/DoSTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/FixFlashTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/GoodDiscTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/GuessPasswordTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/NetFailTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/NetThrottleTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/NetThrottleUI.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/NetTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/NoClose123Trick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/NoKillTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/NoMunmapTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/ParanoiaTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/PathSandboxTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/Rot13Trick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/ScratchTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/SignalTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/SimplePathSandboxTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/StdioTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/ThrottleIOTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/ThrottleReadIOTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/TimeWarpTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/TraceTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/tricks/UmaskTrick.py
%attr(755,root,root)			/usr/lib/subterfugue/Memory.py
%attr(755,root,root)			/usr/lib/subterfugue/Trick.py
%attr(755,root,root)			/usr/lib/subterfugue/clone.py
%attr(755,root,root)			/usr/lib/subterfugue/debug.py
%attr(755,root,root)			/usr/lib/subterfugue/errno_internal.py
%attr(755,root,root)			/usr/lib/subterfugue/net.py
%attr(755,root,root)			/usr/lib/subterfugue/p_linux_i386.py
%attr(755,root,root)			/usr/lib/subterfugue/p_linux_i386_trick.py
%attr(755,root,root)			/usr/lib/subterfugue/regs_linux_i386.py
%attr(755,root,root)			/usr/lib/subterfugue/scratch.py
%attr(755,root,root)			/usr/lib/subterfugue/serial.py
%attr(755,root,root)			/usr/lib/subterfugue/signalmap.py
%attr(755,root,root)			/usr/lib/subterfugue/subterfugue.py
%attr(755,root,root)			/usr/lib/subterfugue/subterfugue_.py
%attr(755,root,root)			/usr/lib/subterfugue/syscallmap.py
%attr(755,root,root)			/usr/lib/subterfugue/tricklib.py
%attr(755,root,root)			/usr/lib/subterfugue/version.py
%attr(755,root,root)			/usr/lib/subterfugue/_subterfuguemodule.so
%attr(755,root,root)			/usr/lib/python1.5/site-packages/ptracemodule.so
%attr(755,root,root)			/usr/lib/python1.5/site-packages/svr4module.so
%attr(755,root,root)			/usr/bin/sf
%attr(755,root,root)			/usr/bin/herekitty
%attr(644,root,root)			/usr/share/man/man1/sf.1.gz
%attr(644,root,root)			/usr/share/man/man1/herekitty.1.gz



